﻿; o-----------------------------------------------o
; | PSO2 Japanese Community Nude Patch Installer  |
; (-----------------------------------------------)
; | Installer script.                             |
; | Written by Ran Pig                            |
; o-----------------------------------------------o

;--------------------------------
;General
    ; Include file in installer
    !define BUNDLE true

    Unicode true

    !define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\nsis3-install.ico"
    !define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\nsis3-uninstall.ico"

;    !include "MUI2.nsh"
    !include "Sections.nsh"
    !include "UMUI.nsh"
    !include LogicLib.nsh

    ; Helper defines
    !define PRODUCT_NAME "PSO2NudeMod"
    !define PRODUCT_VERSION "1.0.8.0"

    SetCompressor /solid lzma

    ;Name and file
    Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
    OutFile "Setup ${PRODUCT_NAME}.exe"

    ShowInstDetails show
    ShowUnInstDetails show

    VIProductVersion ${PRODUCT_VERSION}"
    VIAddVersionKey ProductName "PSO2 Japanese Community Nude Patch Installer"
    VIAddVersionKey ProductVersion "${PRODUCT_VERSION}"
    VIAddVersionKey Comments "These files are replacement of Textures and Model for PSO2 nude mod."
    VIAddVersionKey LegalTrademarks "PSO2NudeMod is released under the Do What The Fuck You Want To Public License http://www.wtfpl.net/"
    VIAddVersionKey LegalCopyright "Copyright (c) 2017-2018 Ran Pig"
    VIAddVersionKey FileDescription "These files are replacement of Textures and Model for PSO2 nude mod."
    VIAddVersionKey FileVersion "${PRODUCT_VERSION}"

    ;Default installation folder
    InstallDir $EXEDIR

    ;Request application privileges for Windows Vista
    RequestExecutionLevel user

;--------------------------------
;Interface Settings

    !define MUI_WELCOMEFINISHPAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Wizard\nsis3-metro.bmp"
    !define MUI_ABORTWARNING

    !define MUI_COMPONENTSPAGE_SMALLDESC

    !define UMUI_USE_INSTALLOPTIONSEX

    !define UMUI_PARAMS_REGISTRY_ROOT HKCU 
    !define UMUI_PARAMS_REGISTRY_KEY "Software\PSO2Mod\${PRODUCT_NAME}"
    
    !define UMUI_INSTALLDIR_REGISTRY_VALUENAME "InstallDir"    ;Replace the InstallDirRegKey instruction and automatically save the $INSTDIR variable
    
    !define UMUI_LANGUAGE_REGISTRY_VALUENAME "Language"

    !define UMUI_USE_ALTERNATE_PAGE

    ; always show the MultiLanguage page or the LangDLLDialog
    !define UMUI_LANGUAGE_ALWAYSSHOW
    
    !define UMUI_NOLEFTIMAGE

;--------------------------------
;Language Selection Dialog Settings

    !insertmacro UMUI_PAGE_MULTILANGUAGE

    !insertmacro MUI_PAGE_WELCOME

        !define MUI_LICENSEPAGE_RADIOBUTTONS
    !insertmacro MUI_PAGE_LICENSE "$(MUILicense)"
    
        !define MUI_PAGE_HEADER_SUBTEXT "$(PSO2_DIRECTORY)"
        !define MUI_DIRECTORYPAGE_TEXT_TOP "$(PSO2_DIRECTORY_DESC)"
        !define MUI_PAGE_DIRECTORY_VARIABLE $APPDIR
    !insertmacro MUI_PAGE_DIRECTORY

    !insertmacro MUI_PAGE_COMPONENTS

    !insertmacro MUI_PAGE_INSTFILES

        !define MUI_FINISHPAGE_NOAUTOCLOSE
    !insertmacro MUI_PAGE_FINISH


    !insertmacro UMUI_UNPAGE_MULTILANGUAGE

    !insertmacro MUI_UNPAGE_WELCOME
    !insertmacro MUI_UNPAGE_CONFIRM

    !insertmacro MUI_UNPAGE_INSTFILES
        !define MUI_UNFINISHPAGE_NOAUTOCLOSE
    !insertmacro MUI_UNPAGE_FINISH

; Language files
    !insertmacro MUI_LANGUAGE "English"
    !insertmacro MUI_LANGUAGE "Japanese"

    LicenseLangString MUILicense ${LANG_ENGLISH} "README-EN.md"
    LicenseLangString MUILicense ${LANG_JAPANESE} "README-JP.md"

;Reserve Files

    ;If you are using solid compression, files that are required before
    ;the actual installation should be stored first in the data block,
    ;because this will make your installer start faster.

    ;!insertmacro MUI_RESERVEFILE_LANGDLL

; MUI end ------

; macros
!macro PrintSection Section SubSection
    ${If} "${SubSection}" == ""
        DetailPrint "$(INSTALLING_STR_1)${Section}$(INSTALLING_STR_3)"
    ${Else}
        DetailPrint "$(INSTALLING_STR_1)${Section}$(INSTALLING_STR_2)${SubSection}$(INSTALLING_STR_3)"
    ${EndIf}
!macroend

; Section descriptions

;Language strings
    LangString PSO2_DIRECTORY ${LANG_ENGLISH} "Select pso2.exe contains directory."
    LangString PSO2_DIRECTORY_DESC ${LANG_ENGLISH} "Typically C:\Program Files (x86)\PHANTASYSTARONLINE2\pso2_bin."
    
    LangString SEC00_NAME ${LANG_ENGLISH} "Modded Checksum file."
    LangString SEC00_DESC ${LANG_ENGLISH} "Required to apply mod."
    LangString SEC01_NAME ${LANG_ENGLISH} "High-Res Body Texture"
    LangString SEC01_1_NAME ${LANG_ENGLISH} "Without nipples"
    LangString SEC01_1_DESC ${LANG_ENGLISH} "Please use this usually because it is colored with baseware."
    LangString SEC01_2_NAME ${LANG_ENGLISH} "With nipples"
    LangString SEC01_2_DESC ${LANG_ENGLISH} "Nipples become black."
    LangString SEC02_NAME ${LANG_ENGLISH} "Nude Model/Base ware"
    LangString SEC02_DESC ${LANG_ENGLISH} "Add labia to baseware and Esthe model."
    LangString SEC02_1_NAME ${LANG_ENGLISH} "Standard"
    LangString SEC02_2_NAME ${LANG_ENGLISH} "Pussy Virgin"
    LangString SEC02_3_NAME ${LANG_ENGLISH} "Small Labia"
    LangString SEC02_4_NAME ${LANG_ENGLISH} "Large Labia"
    LangString SEC03_NAME ${LANG_ENGLISH} "Transparent inner"
    LangString SEC03_DESC ${LANG_ENGLISH} "Replace race inner and esthe model inner to transparent."
    LangString SEC04_NAME ${LANG_ENGLISH} "Smart Inner Mod"
    LangString SEC04_DESC ${LANG_ENGLISH} "for Layering ware without underware."
    LangString SEC04_1_NAME ${LANG_ENGLISH} "No Hair"
    LangString SEC04_2_NAME ${LANG_ENGLISH} "Public Hair"
    LangString SEC05_NAME ${LANG_ENGLISH} "Milk mod"
    LangString SEC05_DESC ${LANG_ENGLISH} "Replace Tatoo to Milk."
;    LangString SEC06_DESC ${LANG_ENGLISH} "Semi Transparent Silver Sexy Bikini / F"

    LangString DISSELECT ${LANG_ENGLISH} "No install"
    
    LangString INSTALLING_STR_1 ${LANG_ENGLISH} "Installing "
    LangString INSTALLING_STR_2 ${LANG_ENGLISH} " "
    LangString INSTALLING_STR_3 ${LANG_ENGLISH} "..."
    
    LangString PSO2_DIRECTORY ${LANG_JAPANESE} "pso2.exeのあるディレクトリを選択してください。"
    LangString PSO2_DIRECTORY_DESC ${LANG_JAPANESE} "通常は、C:\Program Files (x86)\PHANTASYSTARONLINE2\pso2_binです。"

    LangString SEC00_NAME ${LANG_JAPANESE} "改変済みチェックサム" 
    LangString SEC00_DESC ${LANG_JAPANESE} "Modを導入するに当たり必須です。" 
    LangString SEC01_NAME ${LANG_JAPANESE} "高解像度素体テスクチャ"
    LangString SEC01_1_NAME ${LANG_JAPANESE} "乳首なし"
    LangString SEC01_1_DESC ${LANG_JAPANESE} "通常はこちらを利用ください。乳首の色はベースウェアで着色されます。"
    LangString SEC01_2_NAME ${LANG_JAPANESE} "乳首有り"
    LangString SEC01_2_DESC ${LANG_JAPANESE} "乳首が黒くなります。"
    LangString SEC02_NAME ${LANG_JAPANESE} "裸モデル／ベースウェア"
    LangString SEC02_DESC ${LANG_JAPANESE} "ベースウェアおよびエステ用素体に性器をつけます。"
    LangString SEC02_1_NAME ${LANG_JAPANESE} "標準"
    LangString SEC02_2_NAME ${LANG_JAPANESE} "すじ"
    LangString SEC02_3_NAME ${LANG_JAPANESE} "性器小"
    LangString SEC02_4_NAME ${LANG_JAPANESE} "性器大"
    LangString SEC03_NAME ${LANG_JAPANESE} "透過インナー"
    LangString SEC03_DESC ${LANG_JAPANESE} "種族の標準のインナーウェアおよび、エステモデルのインナーを透過します。"
    LangString SEC04_NAME ${LANG_JAPANESE} "スマートインナーMod"
    LangString SEC04_DESC ${LANG_JAPANESE} "インナーウェアなしの状態でレイヤリングウェアを着たい人向け"
    LangString SEC04_1_NAME ${LANG_JAPANESE} "陰毛なし"
    LangString SEC04_2_NAME ${LANG_JAPANESE} "陰毛あり"
    LangString SEC05_NAME ${LANG_JAPANESE} "牛乳Mod"
    LangString SEC05_DESC ${LANG_JAPANESE} "タトゥーを牛乳をかぶったようなModにします。"
;    LangString SEC06_NAME ${LANG_JAPANESE} "半透過シルバービキニスイムウェア / F"


    LangString DISSELECT ${LANG_JAPANESE} "インストールしない"
    LangString INSTALLING_STR_1 ${LANG_JAPANESE} ""
    LangString INSTALLING_STR_2 ${LANG_JAPANESE} "の"
    LangString INSTALLING_STR_3 ${LANG_JAPANESE} "をインストールしています…。"

;--------------------------------
;Installer Sections

Section $(SEC00_NAME) SEC00
    SetOverwrite on
    SetOutPath "$INSTDIR\data\win32"
    !insertmacro PrintSection $(SEC01_2_NAME) ""
    !ifdef BUNDLE
        File "checksum\d5480a26b3dea3dda37abd1b61fb47cd"
    !else
        CopyFiles "$EXEDIR\checksum\*" "$INSTDIR\data\win32"
    !endif
SectionEnd


SectionGroup $(SEC01_NAME) SEC01
    Section $(SEC01_1_NAME) SEC01_1
        !insertmacro PrintSection $(SEC01_NAME) $(SEC01_1_NAME)
        !ifdef BUNDLE
            File "High-res Body Texture\Standard\efeae36f5680df844c21c6b132d3afe5"
            File "High-res Body Texture\Standard\d9cfd2c5099c211ee1d32df2f84343f5"
            File "High-res Body Texture\Standard\a04947c8c5ac39bc6da80bf1325c5f3f"
        !else
            CopyFiles "$EXEDIR\High-res Body Texture\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd

    Section /o $(SEC01_2_NAME) SEC01_2
        !insertmacro PrintSection $(SEC01_NAME) $(SEC01_2_NAME)
        !ifdef BUNDLE
            File "High-res Body Texture\With nipple\efeae36f5680df844c21c6b132d3afe5"
            File "High-res Body Texture\With nipple\d9cfd2c5099c211ee1d32df2f84343f5"
            File "High-res Body Texture\With nipple\a04947c8c5ac39bc6da80bf1325c5f3f"
        !else
            CopyFiles "$EXEDIR\High-res Body Texture (with nipple)\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd
SectionGroupEnd

SectionGroup /e $(SEC02_NAME) SEC02
    Section /o $(DISSELECT) SEC02_0
    SectionEnd

    Section /o $(SEC02_1_NAME) SEC02_1
        !insertmacro PrintSection $(SEC02_NAME) $(SEC02_1_NAME)
        !ifdef BUNDLE
            File "Nude Baseware\Standard\07341723f6b3e8806608b6af82058ac1"  ; for Esthe
            File "Nude Baseware\Standard\28f5bcaec242bee73e0f8cc91d2719da"  ; for Cast
            File "Nude Baseware\Standard\6feb279174e0549b5035724521887017"  ; for Layering
            File "Nude Baseware\Standard\c0854ac879ae27934fdc595e8c5d3353"  ; for Dewman
            File "Nude Baseware\Standard\c9d06ece855b9e3c3cf771c4c01ab83f"  ; for Newman
            File "Nude Baseware\Standard\eecf25b7739777508fb046eb94b32f69"  ; for Human
        !else
            CopyFiles "$EXEDIR\Nude Baseware\Standard\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd

    Section /o $(SEC02_2_NAME) SEC02_2
        !insertmacro PrintSection $(SEC02_NAME) $(SEC02_2_NAME)
        !ifdef BUNDLE
            File "Nude Baseware\Pussy Virgin\07341723f6b3e8806608b6af82058ac1"
            File "Nude Baseware\Pussy Virgin\28f5bcaec242bee73e0f8cc91d2719da"
            File "Nude Baseware\Pussy Virgin\6feb279174e0549b5035724521887017"
            File "Nude Baseware\Pussy Virgin\c0854ac879ae27934fdc595e8c5d3353"
            File "Nude Baseware\Pussy Virgin\c9d06ece855b9e3c3cf771c4c01ab83f"
            File "Nude Baseware\Pussy Virgin\eecf25b7739777508fb046eb94b32f69"
        !else
            CopyFiles "$EXEDIR\Nude Baseware\Pussy Virgin\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd

    Section $(SEC02_3_NAME) SEC02_3
        !insertmacro PrintSection $(SEC02_NAME) $(SEC02_3_NAME)
        !ifdef BUNDLE
            File "Nude Baseware\Small Labia\07341723f6b3e8806608b6af82058ac1"
            File "Nude Baseware\Small Labia\28f5bcaec242bee73e0f8cc91d2719da"
            File "Nude Baseware\Small Labia\6feb279174e0549b5035724521887017"
            File "Nude Baseware\Small Labia\c0854ac879ae27934fdc595e8c5d3353"
            File "Nude Baseware\Small Labia\c9d06ece855b9e3c3cf771c4c01ab83f"
            File "Nude Baseware\Small Labia\eecf25b7739777508fb046eb94b32f69"
        !else
            CopyFiles "$EXEDIR\Nude Baseware\Small Labia\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd

    Section /o $(SEC02_4_NAME) SEC02_4
        !insertmacro PrintSection $(SEC02_NAME) $(SEC02_4_NAME)
        !ifdef BUNDLE
            File "Nude Baseware\Large Labia\eecf25b7739777508fb046eb94b32f69"
            File "Nude Baseware\Large Labia\c9d06ece855b9e3c3cf771c4c01ab83f"
            File "Nude Baseware\Large Labia\c0854ac879ae27934fdc595e8c5d3353"
            File "Nude Baseware\Large Labia\6feb279174e0549b5035724521887017"
            File "Nude Baseware\Large Labia\28f5bcaec242bee73e0f8cc91d2719da"
            File "Nude Baseware\Large Labia\07341723f6b3e8806608b6af82058ac1"
        !else
            CopyFiles "$EXEDIR\Nude Baseware\Large Labia\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd
SectionGroupEnd

Section $(SEC03_NAME) SEC03
    !insertmacro PrintSection $(SEC03_NAME) ""
    !ifdef BUNDLE
        File "See through Inner\0fbb3fb4dec4d6643971318d1691cba7"   ; for Dewman
        File "See through Inner\2cd797fa6d5c90cc56e43db466402b6d"   ; for Esthe
        File "See through Inner\5dc426dcf649bec1cbf9a5a181f40f16"   ; for Cast
        File "See through Inner\7b89f911264b77dfbfbe868c04e28320"   ; for Newman
        File "See through Inner\cef171716ee56571e61bbbb25d6a787f"   ; for Human
        File "See through Inner\d75612ab7e27b5fc6768608b3724f054"   ; for Esthe?
        File "See through Inner\c566b14bac9935ee2801acb2d8aa73c0"   ; for Esthe?
    !else
        CopyFiles "$EXEDIR\See through Inner\*" "$INSTDIR\data\win32"
    !endif
SectionEnd

SectionGroup /e $(SEC04_NAME) SEC04
    Section /o $(DISSELECT) SEC04_0
    SectionEnd

    Section $(SEC04_1_NAME) SEC04_1
        !insertmacro PrintSection $(SEC04_NAME) $(SEC04_1_NAME)
        !ifdef BUNDLE
            File "Smart Inner Mod\No Hair\fcda0a767217bfb594540040e37679d6"
        !else
            CopyFiles "$EXEDIR\Smart Inner Mod\No Hair\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd

    Section /o $(SEC04_2_NAME) SEC04_2
        !insertmacro PrintSection $(SEC04_NAME) $(SEC04_2_NAME)
        !ifdef BUNDLE
            File "Smart Inner Mod\Public Hair\fcda0a767217bfb594540040e37679d6"
        !else
            CopyFiles "$EXEDIR\Smart Inner Mod\Public Hair\*" "$INSTDIR\data\win32"
        !endif
    SectionEnd
SectionGroupEnd

Section /o $(SEC05_NAME) SEC05
    !insertmacro PrintSection $(SEC05_NAME) ""
    !ifdef BUNDLE
        File "Milk\daf9317dc892eaead5afc1e00b54a396"
    !else
        CopyFiles "$EXEDIR\Milk\*" "$INSTDIR\data\win32"
    !endif
SectionEnd

;Section /o $(SEC06_NAME) SEC06
;    !insertmacro PrintSection $(SEC06_NAME) ""
;    !ifdef BUNDLE
;        File "Semi Transparent Bikini\f21f64a6bcaa4ff1459aaa51c5625cdd"
;    !else
;        CopyFiles "$EXEDIR\Semi Transparent Bikini\*" "$INSTDIR\data\win32"
;    !endif
;SectionEnd

Section -Post
    WriteUninstaller "$INSTDIR\Uninstall ${PRODUCT_NAME}.exe"
    WriteRegStr HKCU "Software\PSO2Mod\${PRODUCT_NAME}" "" $INSTDIR
SectionEnd

;--------------------------------
;Installer Functions

Function .onInit
    !insertmacro UMUI_MULTILANG_GET
    
    StrCpy $1 ${SEC01_1} ; Group 1
    StrCpy $2 ${SEC02_3} ; Group 2
    StrCpy $3 ${SEC04_1} ; Group 4
FunctionEnd

Function .onSelChange
    !insertmacro StartRadioButtons $1
        !insertmacro RadioButton ${SEC01_1}
        !insertmacro RadioButton ${SEC01_2}
    !insertmacro EndRadioButtons

    !insertmacro StartRadioButtons $2
        !insertmacro RadioButton ${SEC02_0}
        !insertmacro RadioButton ${SEC02_1}
        !insertmacro RadioButton ${SEC02_2}
        !insertmacro RadioButton ${SEC02_3}
        !insertmacro RadioButton ${SEC02_4}
    !insertmacro EndRadioButtons

    !insertmacro StartRadioButtons $3
        !insertmacro RadioButton ${SEC04_0}
        !insertmacro RadioButton ${SEC04_1}
        !insertmacro RadioButton ${SEC04_2}
    !insertmacro EndRadioButtons

FunctionEnd

;Assign language strings to sections
!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
    !insertmacro MUI_DESCRIPTION_TEXT ${SEC00} $(SEC00_DESC)
    !insertmacro MUI_DESCRIPTION_TEXT ${SEC01_1} $(SEC01_1_DESC)
    !insertmacro MUI_DESCRIPTION_TEXT ${SEC01_2} $(SEC01_2_DESC)
    !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} $(SEC02_DESC)
    !insertmacro MUI_DESCRIPTION_TEXT ${SEC03} $(SEC03_DESC)
    !insertmacro MUI_DESCRIPTION_TEXT ${SEC04} $(SEC04_DESC)
    !insertmacro MUI_DESCRIPTION_TEXT ${SEC05} $(SEC05_DESC)
!insertmacro MUI_FUNCTION_DESCRIPTION_END

;--------------------------------
;Uninstaller Functions

Function un.onInit
    !insertmacro UMUI_MULTILANG_GET
FunctionEnd

;--------------------------------
;UnInstaller Section

Section Uninstall
    Delete "$INSTDIR\Uninstall ${PRODUCT_NAME}.exe"
    Delete "$INSTDIR\data\win32\0fbb3fb4dec4d6643971318d1691cba7"
    Delete "$INSTDIR\data\win32\2cd797fa6d5c90cc56e43db466402b6d"
    Delete "$INSTDIR\data\win32\5dc426dcf649bec1cbf9a5a181f40f16"
    Delete "$INSTDIR\data\win32\7b89f911264b77dfbfbe868c04e28320"
    Delete "$INSTDIR\data\win32\cef171716ee56571e61bbbb25d6a787f"
    Delete "$INSTDIR\data\win32\6feb279174e0549b5035724521887017"
    Delete "$INSTDIR\data\win32\c566b14bac9935ee2801acb2d8aa73c0"
    Delete "$INSTDIR\data\win32\d75612ab7e27b5fc6768608b3724f054"
    Delete "$INSTDIR\data\win32\28f5bcaec242bee73e0f8cc91d2719da"
    Delete "$INSTDIR\data\win32\07341723f6b3e8806608b6af82058ac1"
    Delete "$INSTDIR\data\win32\c9d06ece855b9e3c3cf771c4c01ab83f"
    Delete "$INSTDIR\data\win32\c0854ac879ae27934fdc595e8c5d3353"
    Delete "$INSTDIR\data\win32\eecf25b7739777508fb046eb94b32f69"
    Delete "$INSTDIR\data\win32\a04947c8c5ac39bc6da80bf1325c5f3f"
    Delete "$INSTDIR\data\win32\d9cfd2c5099c211ee1d32df2f84343f5"
    Delete "$INSTDIR\data\win32\efeae36f5680df844c21c6b132d3afe5"
    Delete "$INSTDIR\data\win32\a04947c8c5ac39bc6da80bf1325c5f3f"
    Delete "$INSTDIR\data\win32\d9cfd2c5099c211ee1d32df2f84343f5"
    Delete "$INSTDIR\data\win32\efeae36f5680df844c21c6b132d3afe5"
    Delete "$INSTDIR\data\win32\f21f64a6bcaa4ff1459aaa51c5625cdd"

    SetOutPath "$INSTDIR\data\win32"
    File "Original\Baseware\28f5bcaec242bee73e0f8cc91d2719da"
    File "Original\Baseware\07341723f6b3e8806608b6af82058ac1"
    File "Original\Baseware\c9d06ece855b9e3c3cf771c4c01ab83f"
    File "Original\Baseware\c0854ac879ae27934fdc595e8c5d3353"
    File "Original\Baseware\eecf25b7739777508fb046eb94b32f69"

    File "Original\Body Texture\a04947c8c5ac39bc6da80bf1325c5f3f"
    File "Original\Body Texture\d9cfd2c5099c211ee1d32df2f84343f5"
    File "Original\Body Texture\efeae36f5680df844c21c6b132d3afe5"

    File "Original\Inner\0fbb3fb4dec4d6643971318d1691cba7"
    File "Original\Inner\2cd797fa6d5c90cc56e43db466402b6d"
    File "Original\Inner\5dc426dcf649bec1cbf9a5a181f40f16"
    File "Original\Inner\7b89f911264b77dfbfbe868c04e28320"
    File "Original\Inner\cef171716ee56571e61bbbb25d6a787f"
    
    File "Original\Model\6feb279174e0549b5035724521887017"
    File "Original\Model\c566b14bac9935ee2801acb2d8aa73c0"
    File "Original\Model\d75612ab7e27b5fc6768608b3724f054"
    
    File "Original\Smart Inner\fcda0a767217bfb594540040e37679d6"
    
    File "Original\Silver Bikini F\f21f64a6bcaa4ff1459aaa51c5625cdd"
    
    File "Original\Tatoo\daf9317dc892eaead5afc1e00b54a396"

    DeleteRegKey ${UMUI_PARAMS_REGISTRY_ROOT} "${UMUI_PARAMS_REGISTRY_KEY}"
SectionEnd

